Exposure Management
77 endpoints.
Findings
GET /api/v1/exposure-management/findings
List Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
POST /api/v1/exposure-management/findings
Create Finding
Request body: CreateFindingRequest
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/asset/{id}
Get Findings By Asset ID
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
assetType | query | yes | Asset type (host, webapp, etc.) |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/assignee/{id}
Get Findings By Assignee
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/closed
List Closed Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/export/xlsx
Export Findings Xlsx
Export findings as XLSX
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/my
Get My Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/open
List Open Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/pending
List Pending Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/search
Search Findings
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/findings/{id}
Get Finding
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/exposure-management/findings/{id}
Patch Finding
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: FindingUpdate
Responses: 200, 400, 401, 500
Findings / Comments
GET /api/v1/exposure-management/findings/{id}/comments
List Finding Comments
List comments for a finding
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/exposure-management/findings/{id}/comments
Create Finding Comment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: FindingCommentCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/exposure-management/findings/{id}/comments/{comment_id}
Delete Finding Comment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
comment_id | path | yes | comment id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/exposure-management/findings/{id}/comments/{comment_id}
Update Finding Comment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
comment_id | path | yes | comment id identifier |
Request body: FindingCommentCreate
Responses: 200, 400, 401, 500
Findings / Status History
GET /api/v1/exposure-management/findings/{id}/status-history
List Finding Status History
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
Remediations
org-facing remediation work queue; aggregated from findings
GET /api/v1/exposure-management/remediations
List Exposure Remediations
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/remediations/export/xlsx
Export Exposure Remediations Xlsx
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/remediations/search
Search Exposure Remediations
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
GET /api/v1/exposure-management/remediations/{id}
Get Exposure Remediation
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
Type-agnostic
cross-type analyses, per-asset lookup
GET /api/v1/assets/{id}/vulnerabilities
List Vulnerabilities By Asset
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/vulnerability-analyses
List Vulnerability Analyses
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
DAST
DELETE /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/auth
Delete Dast Auth
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/auth
Get Dast Auth
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/auth
Application-exposure Application-exposure Create Or Update Dast Auth
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/auth
Application-exposure Application-exposure Create Or Update Dast Auth
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/baseline
Get Dast Baseline
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/baseline
Update Dast Baseline
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Request body: HandleUpdateDastBaselineRequest
Responses: 200, 400, 401, 500
DELETE /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/profile
Delete Dast Profile
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/profile
Get Dast Profile
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/profile
Application-exposure Application-exposure Create Or Update Dast Profile
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Request body: DastScanProfile
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/profile
Application-exposure Application-exposure Create Or Update Dast Profile
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Request body: DastScanProfile
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/dast/scan
Trigger Dast Scan
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/assets-by-severity
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/assignee/{id}
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to a specific user
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/export/xlsx
Application-exposure Application-exposure Register Protected Routes
Export vulnerabilities as XLSX
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/my
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to the current user
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/search
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/solutions-by-assets
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/dast/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityPatchRequest
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/{id}/analysis
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/{id}/comments
Application-exposure Application-exposure Register Protected Routes
List comments for a vulnerability
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/dast/{id}/comments
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityCommentCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/application-exposure/dast/{id}/comments/{comment_id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
comment_id | path | yes | comment id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/dast/{id}/status-history
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/assets-by-severity
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/assignee/{id}
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to a specific user
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/export/xlsx
Application-exposure Application-exposure Register Protected Routes
Export vulnerabilities as XLSX
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/my
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to the current user
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/search
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/solutions-by-assets
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/sast/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityPatchRequest
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/{id}/analysis
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/{id}/comments
Application-exposure Application-exposure Register Protected Routes
List comments for a vulnerability
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/sast/{id}/comments
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityCommentCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/application-exposure/sast/{id}/comments/{comment_id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
comment_id | path | yes | comment id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sast/{id}/status-history
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/assets-by-severity
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/assignee/{id}
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to a specific user
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/export/xlsx
Application-exposure Application-exposure Register Protected Routes
Export vulnerabilities as XLSX
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/my
Application-exposure Application-exposure Register Protected Routes
List vulnerabilities assigned to the current user
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/search
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/solutions-by-assets
Application-exposure Application-exposure Register Protected Routes
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/application-exposure/sca/{id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityPatchRequest
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/{id}/analysis
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/{id}/comments
Application-exposure Application-exposure Register Protected Routes
List comments for a vulnerability
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/application-exposure/sca/{id}/comments
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: VulnerabilityCommentCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/application-exposure/sca/{id}/comments/{comment_id}
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
comment_id | path | yes | comment id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/application-exposure/sca/{id}/status-history
Application-exposure Application-exposure Register Protected Routes
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
AppSec
POST /api/v1/application-exposure/applications/{app_id}/environments/{env_id}/appsec/scan
Trigger App Sec Scan
| Parameter | In | Required | Description |
|---|---|---|---|
app_id | path | yes | app id identifier |
env_id | path | yes | env id identifier |
Request body: HandleTriggerAppSecScanRequest
Responses: 200, 400, 401, 500